## org.eclipse.datatools.sqltools.result.internal.export
Class TextOutputter

    java.lang.Object
      org.eclipse.datatools.sqltools.result.export.AbstractOutputter
          org.eclipse.datatools.sqltools.result.internal.export.TextOutputter

Direct Known Subclasses:
  CSVOutputter

    public class TextOutputter

extends AbstractOutputter

Outputs the result set(s) in TXT format with user-defined column delimiter and specified encoding

Author:
  Dafan Yang

Constructor Summary
`TextOutputter()`

Method Summary
`java.lang.String` `getPrintString(IResultInstance rs)` Returns the string for printing of a result instance
`java.lang.String` `getPrintString(IResultSetObject rs)` Returns the string for printing of a result set
`void` `output(IResultInstance rs, java.util.Properties props, java.io.OutputStream os)`
`void` `output(IResultInstance rs, java.util.Properties props, java.io.PrintWriter pw)`
`void` `output(IResultInstance rs, java.util.Properties props, java.lang.String path)` Ouputs all the result set objects in the result instance to the given file path
`void` `output(IResultSetObject resultset, java.util.Properties options, java.io.OutputStream stream)`
`void` `output(IResultSetObject resultset, java.util.Properties options, java.io.PrintWriter writer)`
`void` `output(IResultSetObject rs, java.util.Properties props, java.lang.String path)` Ouputs the result set object to the given file path

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextOutputter

    public TextOutputter()

Method Detail

### output

    public void output(IResultSetObject resultset,
                       java.util.Properties options,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### output

    public void output(IResultSetObject resultset,
                       java.util.Properties options,
                       java.io.PrintWriter writer)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### output

    public void output(IResultInstance rs,
                       java.util.Properties props,
                       java.io.OutputStream os)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### output

    public void output(IResultInstance rs,
                       java.util.Properties props,
                       java.io.PrintWriter pw)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPrintString

    public java.lang.String getPrintString(IResultSetObject rs)

  Returns the string for printing of a result set

  Parameters:
    `rs` - the result set object
  Returns:
    the string for printing

### getPrintString

    public java.lang.String getPrintString(IResultInstance rs)

  Returns the string for printing of a result instance

  Parameters:
    `rs` - the result instance
  Returns:
    the string for printing

### output

    public void output(IResultSetObject rs,
                       java.util.Properties props,
                       java.lang.String path)
                throws java.io.IOException

  Description copied from class: `AbstractOutputter`
  Ouputs the result set object to the given file path

  Specified by:
    `output` in class `AbstractOutputter`
  Parameters:
    `rs` - the result set object
    `props` - output options, can get the encoding,delimiter type and user-defined delimiter from it
    `path` - the file path
  Throws:
    `java.io.IOException` - -- if i/o error occurs
  See Also:
    `IResultConstants.ENCODING`, `IResultConstants.DELIMITER`, `IResultConstants.USERDEFINED_DELIMITER`

### output

    public void output(IResultInstance rs,
                       java.util.Properties props,
                       java.lang.String path)
                throws java.io.IOException

  Description copied from class: `AbstractOutputter`
  Ouputs all the result set objects in the result instance to the given file path

  Specified by:
    `output` in class `AbstractOutputter`
  Parameters:
    `rs` - the result instance
    `props` - output options, can get the encoding,delimiter type and user-defined delimiter from it
    `path` - the file path
  Throws:
    `java.io.IOException` - -- if i/o error occurs
  See Also:
    `IResultConstants.ENCODING`, `IResultConstants.DELIMITER`, `IResultConstants.USERDEFINED_DELIMITER`